digiKam 8.5.0 - Release date: 2024-11-16

*****************************************************************************************************
NEW FEATURES:

Bundles:         Update to last Exiv2 version 0.28.3.
Bundles:         Update to last ExifTool version 12.99.
Bundles:         AppImage are now based on Qt framework 6.7.3 and KDE framework 6.7.0.
Bundles:         Windows installer are now based on KDE framework 6.7.0.
Bundles:         New MacOS Silicon (arm64) package based on Qt6 framework 6.7.2,
                 KDE framework 6.7.0, and FFmpeg 6.1.

Database:        Update to new unique file hash V3 added.
RawEngine:       Update internal libraw to last 20240910 upstream.
Video:           Update internal QtAVPlayer to last 20241104 upstream (Qt5 only).

IconView:        More compact thumbnails by using a simple horizontal line instead a frame
                 to render Color Labels.
FacesManagement: Adding YuNet DNN model to process faces detection and replace older SSD model.
                 Adding Sface DNN model to process face recognition and replace older OpenFace model.
                 There are faster and requires less memory at run-time with better results.

*****************************************************************************************************
BUGFIXES:

001 --> 490220 - digiKam crashes after a random duration during library scan.
002 --> 490367 - Offset of 2 Hours with the GPS tracks correlator from geolocation editor.
003 --> 447133 - Hangs after changing database settings.
004 --> 376825 - Tag displays do not display correctly after new database is selected.
005 --> 490385 - Remove All Metadata for File Export does not work when sidecar files are used.
006 --> 488576 - Crash while showing Video.
007 --> 490128 - digiKam freezes when I click the "metadata" button on the right.
008 --> 490396 - Impossible validation of exiftool.exe even though it is present in the digiKam folder.
009 --> 490341 - Exiftool not present.
010 --> 490496 - Exiftool not found.
011 --> 490536 - Open With not working.
012 --> 490552 - Import: Incorrect date during automatic file naming with “date” construct.
013 --> 490330 - Focus points is not displayed at all for a sony a6700 jpg, heif or raw file (arw).
014 --> 490671 - digiKam crashes on startup with a white window and file download dialog.
015 --> 488222 - Exiftool not recognized.
016 --> 490690 - digiKam 8.4.0, Error at Configuring, CMake Error at core/cmake/modules/FindLibheif.cmake:57.
017 --> 490747 - Exiftool missing in Windows 8.4 package.
018 --> 490793 - Find similar returns the source image in the search.
019 --> 490809 - XMP Toolkit error 102: Unknown namespace prefix for qualified name.
020 --> 490828 - Unable to delete workflow.
021 --> 490859 - Image color profile is not taken into account when creating thumbnails for 16 bit tiffs.
022 --> 490883 - Exiftool not found (digiKam 8.4.0/qt6/win64).
023 --> 490912 - digiKam 8.4 can't find exiftool on Windows.
024 --> 491007 - When Undo is scrolled over the undo choices do not appear.
025 --> 488662 - Incorrect Thumbnails showing on scanned Tiff files.
026 --> 491499 - ExifTool shipped with 8.4.0 is invalid.
027 --> 490866 - digiKam 8.4.0 ignores KDE font settings and scale factor.
028 --> 491551 - XMP field (from the right panel) empty for jxl files.
029 --> 491599 - Scroll index resets to item 0 in Similarity list window on delete of any list deletion.
030 --> 491809 - Sort view bug/behavior at Geolocation editor.
031 --> 491804 - Sorting by Creation Date and Group by Month Creating Multiple Month/Yr Groups.
032 --> 491878 - Modifying a saved search show more than saved.
033 --> 491905 - Ability to define new search from a already saved search.
034 --> 490611 - Rating missing in thumbnails.
035 --> 472918 - Preview mode becomes unresponsive.
036 --> 491997 - Remember the size of subwindows.
037 --> 491999 - Tagging images can change the sorted view.
038 --> 491983 - At start the initial zoom percent shown for preview is false.
039 --> 492020 - Accessibility: Mouse cursor too small.
040 --> 490897 - QT6 reports errors on startup while downloading face models.
041 --> 492040 - APPIMAGE : symbol lookup error: /usr/lib64/libgnutls.so.30: undefined symbol: nettle_rsa_oaep_sha384_decrypt, version HOGWEED_6.
042 --> 492054 - Default button to NO in confirmation box.
043 --> 490484 - Writing Meta Data to Images deletes randomly Meta Data both from Images and Database.
044 --> 492148 - UI flicker when rating images or rescanning collection.
045 --> 492164 - Wish : Map view : display not complete when two identical photos selected (groups).
046 --> 492191 - digiKam 8.4.0 crashes when accessing Settings->Configure digiKam.
047 --> 492200 - Ability to increase video playing speed when preview.
048 --> 204487 - HUB : caption not saved when moving images after entering caption.
049 --> 491778 - Add tag and move image bug.
050 --> 492163 - Creation of orphan sidecars.
051 --> 492257 - Showfoto symlink is broken in AppImage - Typo missing "w".
052 --> 492313 - New face tag shuts program.
053 --> 492366 - digiKam does not write anymore xmp data to files from Pixel devices : debug shows an Exiv2 error.
054 --> 491888 - DNG files misread as TIFF.
055 --> 492412 - In the installation I noticed there is Exiftool.exe embedded in the digiKam install, but not the libraries.
056 --> 492259 - Face recognition is working well but RECURRENT ISSUE on Photos that have been set in "portrait" mode.
057 --> 492271 - 8.3.0 -> 8.4.0 Upgrade Fails.
058 --> 492542 - Build failed with : metaengine.cpp:331:42: error: ‘as_const’ is not a member of ‘std’.
059 --> 490657 - AppImage: No system integration possible with AppImageLauncher.
060 --> 492686 - digiKam crash when adding a new image and refresh or auto scan.
061 --> 492715 - digiKam displays the metadata of JXL files incomplete and/or altered.
062 --> 492828 - Rating of jpg file not displayed correctly in the user interface.
063 --> 492789 - Do not open digiKam in full window.
064 --> 492784 - Changing keyboard shortcut scheme deletes 'Assign Tag' keyboard shortcuts.
065 --> 492941 - Fractional seconds formatter value (zzz) not being read and applied to filename.
066 --> 492937 - digiKam 8.5.0 isn't working with MariaDB.
067 --> 350446 - Port MacOS PKG to Arm64 Apple Silicon.
068 --> 491857 - Unable to build on MacOS arm64 with Macports.
069 --> 493151 - IP address setting for PTP/IP camera is mishandled.
070 --> 487031 - Unable to play h264 videos on apple silicon mac.
071 --> 490553 - Audio delay when playing movie.
072 --> 493193 - Deletion of image from album in thumbnail view re-indexes active position to top row.
073 --> 425304 - digiKam doesn't quit in full-screen mode.
074 --> 479033 - digiKam crashes on "Find New Items".
075 --> 485393 - digiKam crash on library import.
076 --> 486296 - Open for 2 sec and then crash.
077 --> 470530 - Camera list is missing when adding camera.
078 --> 451719 - Camera list is empty.
079 --> 451727 - Empty Camera List.
080 --> 460252 - No cameras listed in import cameras module.
081 --> 491870 - Slideshow: open settings with F2 and switch overlay with F4 is no longer possible.
082 --> 491885 - Selected tags in the settings window of the filter are not marked with a checkmark.
083 --> 491042 - MariaDB (MySQL) embedded files missing in fresh install.
084 --> 486632 - Camera is never detected using bundled gphoto2 libraries.
085 --> 465652 - Rescan activated for all collection when adding new collection.
086 --> 491040 - Unable to use Darktable for demosaicing on MacOS ARM.
087 --> 448045 - Reduce intensity of Colour Labels Displayed in Album/Thumbnail View or Replace with Discrete Colour Label.
088 --> 487799 - Geolocalization icon always black in thumbnail view.
089 --> 486341 - Edit Bookmarks menu item does nothing.
090 --> 426968 - Album title bar in icon view should be a selection switch.
091 --> 493388 - Inconsistent timeline display due to timezone handling in videos vs. photos.
092 --> 493426 - digiKam 8.4.0 crashes with STR+ALT+Fx.
093 --> 493453 - Pick labels partially block the filename in the main view when thumbnails are certain sizes.
094 --> 493106 - After ignoring one face in a photo, all other face rectangles vanish.
095 --> 493498 - Persisting rescaled/positioned window across sessions.
096 --> 493653 - Caption metadata not embedded in slideshow video.
097 --> 493743 - MacOS Sequoia 15.0: digikam inoperable, crashes when launching.
098 --> 375519 - Progress bars waste useful space: add more details about tasks.
099 --> 375521 - Progress bars waste useful space.
100 --> 493786 - After visiting trash, the display mode switches to Map.
101 --> 493914 - OpenCV assertion failure when tagging face without models installed.
102 --> 489034 - Install failure.
103 --> 493948 - digiKam 8.4.0 never shows.
104 --> 494080 - Support for OpenEXR.
105 --> 494115 - digiKam crash during startup (SIGILL).
106 --> 435367 - "deep face" a free source code for better face detection.
107 --> 494214 - digiKam opens window but unresponsive.
108 --> 494228 - Application crashes when attempting to first recognized face.
109 --> 485979 - Expose Yolo Resizing Parameter to Improve Face Detection Accuracy.
110 --> 494278 - No HEIC preview.
111 --> 469178 - Face recognition for group photos.
112 --> 494304 - HEIC not showing in album - green icon displayed instead.
113 --> 494308 - After deleting a picture (in full screen mode), wrong picture is displayed.
114 --> 472452 - Face Recognition fails (process stuck at 0%).
115 --> 489197 - Faces problem.
116 --> 494372 - Welcome page is empty.
117 --> 470018 - Search for similar faces by previous example selection.
118 --> 494471 - File disappeared from digikam while it exists in directory.
119 --> 494585 - XMP-dc:Subject tags not imported to the database with HEIF file.
120 --> 494618 - Non-functioning shortcut ALT + Return in the right sidebar.
121 --> 494623 - Arrow keys navigation leaves the focus from album tree-view to icon-view.
122 --> 489625 - Most recent weekly doesn't start under windows (ucrtbase.dll error).
123 --> 494528 - Thumbnails disappear with WAL option ON (pCloud lock).
124 --> 494729 - Cannot Choose Customized Raw Import Tools on Mac.
125 --> 494816 - Fails build on; coredburl.cpp:251:19: error: 'operator==' is not a member of 'QUrl'.
126 --> 429230 - Face recognition malfunction
127 --> 489751 - digiKam freezes and closes if you save a face tag.
128 --> 494754 - Customized Raw Import Tool Crashes (Randomly) When Using Image Editor.
129 --> 494890 - Star rating systematically also sets colors, and vice versa.
130 --> 494934 - Selecting the maintenance tool will cause Digikam to stop responding and crash every time.
131 --> 495014 - Why im not able to use opencl?
132 --> 495011 - digiKam crash when making "search faces" on an image.
133 --> 485029 - Upgrade YOLO to a more recent version to improve face recognition.
134 --> 437896 - Face Recognition with Time taken into consideration.
135 --> 435146 - Feature Request: Clear all unconfirmed faces before starting recognition.
136 --> 449310 - Add a DOB (date of birth) feature to facial recognition that will improve indexing and exclude all pictures prior to a given date.
137 --> 401458 - Rename file name with recognized faces-tags.
138 --> 495006 - digiKam crashes when trying to run yunet face detection.
139 --> 495199 - digiKam-8.4.0-Qt6-x86-64.AppImage does not start on Tumbleweed.
140 --> 494284 - Facedetecting - recommended name often not the detected name.
141 --> 495185 - Decimal separators need to be locale-aware.
142 --> 485992 - Face recognition, small part or half face.
143 --> 495269 - MXF files not displayed on digiKam.
144 --> 495428 - Binary file download is broken for digiKam >= 8.4.0.
145 --> 495523 - digiKam not opening on Mac Silicon.
146 --> 495508 - Crash in image editor while opening Color Auto Correction.
147 --> 495628 - When starting digiKam the error appears: The application "Finder" does not have the permission to open "(null)".
148 --> 431788 - Add option available to not resample images in viewer.
149 --> 491580 - How can I see the pixels?
150 --> 495646 - ICC metadata lost.
151 --> 494993 - digiKam crashes immediately upon trying to access Configuration panel (under Wayland).
152 --> 468980 - digiKam and Showfoto interface becomes buggy/broken after opening/closing settings page on Fedora.
153 --> 446511 - Heavy visual glitches when trying to move settings window on Wayland.
154 --> 487004 - Faces-recognition filtering.
155 --> 467766 - MySQL foreign key error on a zero image id.
156 --> 469329 - Too many wrong faces detected.
157 --> 431797 - Face recognition <50% despite extensive training data of up to 300 occasions of faces.
158 --> 415782 - Face recognition "favors" people with few images: missing faces clustering.
159 --> 472031 - Faces detection gets worse with lots of faces to train on.
160 --> 464266 - Face detection is extremely slow - face recognition is almost impossible.
161 --> 423113 - Deleted Faces still serve as information to Facial Recognition.
162 --> 444160 - Face matching is guess work at best.
163 --> 436544 - Problem by Face recognition.
164 --> 490907 - Allow us to set the "specify time delay for slideshow" to 0.5 seconds.
165 --> 496005 - Buttons overlap in geolocation correlator menu.
166 --> 495944 - Righclick -> scan for faces on a single picture is not the same as rightclick -> scan for faces on a folder.
167 --> 496047 - There appears to be no way of adding, deleting or editing items in the "Open with" context menu.
168 --> 496148 - Build failed with metaengine.cpp.
169 --> 496131 - Face Tagging multiple incorrectly suggested unconfirmed faces do not move to the corrected person.
